﻿Public Class BindingComboBox_Form
    Private block As Object = Nothing
    Private DataFileName As String = System.IO.Path.Combine(Application.StartupPath, "data.xml")
    Private Ds As New DataSet

    Private Sub Me_Shown(ByVal sender As Object,
                         ByVal e As System.EventArgs) _
                     Handles Me.Shown
        Me.Cursor = Cursors.WaitCursor
        Me.Refresh()
        Try
            Ds.Tables.Clear()
            Ds.ReadXml(DataFileName)
            Ds.Tables("data").AcceptChanges()
            Me.XML_BindingSource.DataSource = Ds.Tables("data")
            Me.Title_ComboBox.DataBindings.Add(New Binding("TexT",
                                                           Me.XML_BindingSource,
                                                           "タイトル",
                                                           True))
            Me.Title_ComboBox.DataSource = Ds.Tables("data")
            Me.Title_ComboBox.DisplayMember = "タイトル"
            Me.Title_ComboBox.ValueMember = "日付"
        Catch ex As Exception
            MessageBox.Show(ex.Message, Me.Text)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    Private Sub OK_Button_Click(ByVal sender As System.Object,
                                ByVal e As System.EventArgs) _
                            Handles OK_Button.Click
        MessageBox.Show("Text:" & Me.Title_ComboBox.Text & vbCrLf &
                        "SelectedValue:" & Me.Title_ComboBox.SelectedValue,
                        Me.Text)

    End Sub
    Private Sub Cancel_Button_Click(ByVal sender As System.Object,
                                    ByVal e As System.EventArgs) _
                                Handles Cancel_Button.Click
        Me.Close()
    End Sub

End Class
